Part Cylinder/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(5 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Part_Box|Box]]
|[[Part_Box|Box]]
Line 10: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Part Cylinder|Name/ro=Part Cylinder|MenuLocation=Part -> Cylinder||Workbenches=[[Part_Module/ro|Part Module]],Complete|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]}}
|Name=Part Cylinder
|Name/ro=Part Cylinder
|MenuLocation=Part -> Cylinder
|
|Workbenches=[[Part_Workbench/ro|Part Workbench]], Complete
|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]}}
</div>
</div>


==Description==

<div class="mw-translate-fuzzy">
== Descriere ==
== Descriere ==
Creează un simplu cilindru parametric, cu parametrii de poziție, unghi, rază și înălțime.
Creează un simplu cilindru parametric, cu parametrii de poziție, unghi, rază și înălțime.
</div>

A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cylinder_Example.png|400px]]


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
Line 21: Line 37:


=== Prima metodă ===
=== Prima metodă ===
Faceți clic direct pe butonul {{KEY/it|[[Image: Part_Cylinder.png|16px]] Cilindru}} din bara de instrumente.
Faceți clic direct pe butonul {{KEY|[[Image: Part_Cylinder.png|16px]] Cilindru}} din bara de instrumente.


Creează un cilindru implicit cu o rază de 2 mm, înălțime de 10 mm și centrul cercului inferior poziționat la origine (punctul 0,0,0).
Creează un cilindru implicit cu o rază de 2 mm, înălțime de 10 mm și centrul cercului inferior poziționat la origine (punctul 0,0,0).
</div>
</div>


# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] Cylinder}} button in the toolbar.
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] [[Part_Cylinder|Part Cylinder]]}} button.
#* Select {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} entry from the top menu
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} option from the menu.
# The cylinder is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the cylinder by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
'''Result:''' The default result is a full cylinder with a radius of 2 mm and height of 10 mm, centered along the global z-axis and attached to the global xy-plane.


[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]
The cylinder properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cylinder in the [[Tree_view|Tree view]].


A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]


== Notes ==

* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<span id="Properties"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Opțiuni ==
== Opțiuni ==
Line 42: Line 71:
</div>
</div>


See also: [[Property_editor|Property editor]].
* {{PropertyData|Angle}}: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)

* {{PropertyData|Height}}: The height is the distance in the z-axis
A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|Radius}}: The radius defines a plane in x-y.

* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.20}}
=== Data ===
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.20}}

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cylinder}}

* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.

{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
}}

* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}



{{Docnav
{{Docnav
Line 57: Line 130:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:13, 3 February 2023

Part Cylinder

poziția meniului
Part -> Cylinder
Ateliere
Part Workbench, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Creează un simplu cilindru parametric, cu parametrii de poziție, unghi, rază și înălțime.

A Part Cylinder can be turned into a segment of a cylinder by changing its DateAngle property.

Cum se folosește

În bara de lucru Atelierului Part faceți clic pe pictograma cilindrului . Valoarea prestabilită este pentru poziționarea unui cilindru complet, centrul unei fețe circulare care coincide cu originea globală (punctul 0,0,0), cu o rază de 2 mm și o înălțime de 10 mm.

Prima metodă

Faceți clic direct pe butonul Cilindru din bara de instrumente.

Creează un cilindru implicit cu o rază de 2 mm, înălțime de 10 mm și centrul cercului inferior poziționat la origine (punctul 0,0,0).

  1. There are several ways to invoke the command:
    • Press the Part Cylinder button.
    • Select the Part → Primitives → Cylinder option from the menu.
  2. The cylinder is created.
  3. Optionally change the dimensions and DatePlacement of the cylinder by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DatePlacement with the Std TransformManip command.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Opțiuni

Proprietățile pot fi ulterior editate în fila de date pentru cilindru:

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DateRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DateHeight (Length): The height of the cylinder. The default is 10mm.
  • DateAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DateFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DateSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()